
#ifndef TEMPERATURE_H
    #define TEMPERATURE_H

    #define ADC_VOLTAGE 0               /* channel for battery voltage */
    #define ADC_TEMPERATURE 1           /* channel for ad595 voltage */

    /* To V : 148.51 ohm , To GND : 149.26 Ratio :  297.77/149.26 = 1.9949*/

    #define TEMPERATURE_RATIO 1.995     /* ratio of resistors divider for ad595 */
    /* To V: 322.75 To GND : 176.70 Ratio : 499.45/176.7 = 2.8265 */
    #define VOLTAGE_RATIO 2.8265        /* ratio of resistors divider for voltage */
    #define VOLTAGE_THRESHOLD 7100      /* battery low threshold (in mV) */

    #define TEMPERATURE_DISPLAYTIME 100 /* ms to keep value on screen */
    #define TEMPERATURE_AVERAGE 1       /* enable averaging of last n temperatures */
    #define TEMPERATURE_BUFFERSIZE 10   /* do average of the last n temperatures, max 255 */

    extern float temperature_from_voltage(float value);
    extern float temperature_average(float temperature_new);

#endif	/* TEMPERATURE_H */
